Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs	(revision 14875)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs	(revision 14906)
@@ -1,4 +1,3 @@
-﻿namespace HeuristicLab.Tests.Interpreter.Expressions
-{
+﻿namespace HeuristicLab.Tests.Interpreter.Expressions {
   using System;
 
@@ -9,6 +8,5 @@
 
   [TestClass]
-  public class FloatExpressionTests : CommonTests<double>
-  {
+  public class FloatExpressionTests : CommonTests<double> {
     private const double delta = 0.00001;
 
@@ -33,6 +31,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestAdd()
-    {
+    public void TestAdd() {
       this.interpreter.FloatStack.Push(5.3, 5.3);
       this.interpreter.Run(new FloatAddExpression());
@@ -47,6 +44,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestAddWithInsufficientArguments()
-    {
+    public void TestAddWithInsufficientArguments() {
       this.TestWithInsufficientArguments("+", 1);
     }
@@ -56,6 +52,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSubtract()
-    {
+    public void TestSubtract() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatSubtractExpression());
@@ -70,6 +65,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSubractWithInsufficientArguments()
-    {
+    public void TestSubractWithInsufficientArguments() {
       this.TestWithInsufficientArguments("-", 1);
     }
@@ -79,6 +73,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMultiply()
-    {
+    public void TestMultiply() {
       this.interpreter.FloatStack.Push(9.9, 3.3);
       this.interpreter.Run(new FloatMultiplyExpression());
@@ -93,6 +86,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMultiplyWithInsufficientArguments()
-    {
+    public void TestMultiplyWithInsufficientArguments() {
       this.TestWithInsufficientArguments("*", 1);
     }
@@ -102,6 +94,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestDivide()
-    {
+    public void TestDivide() {
       this.interpreter.FloatStack.Push(9.9, 3.3);
       this.interpreter.Run(new FloatDivideExpression());
@@ -116,6 +107,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestDivideWithInsufficientArguments()
-    {
+    public void TestDivideWithInsufficientArguments() {
       this.TestWithInsufficientArguments("/", 1);
     }
@@ -125,6 +115,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestModulo()
-    {
+    public void TestModulo() {
       this.interpreter.FloatStack.Push(11.6, 5.3);
       this.interpreter.Run(new FloatModuloExpression());
@@ -139,6 +128,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestModuloWithInsufficientArguments()
-    {
+    public void TestModuloWithInsufficientArguments() {
       this.TestWithInsufficientArguments("%", 1);
     }
@@ -148,6 +136,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMin()
-    {
+    public void TestMin() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatMinExpression());
@@ -162,6 +149,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMinWithInsufficientArguments()
-    {
+    public void TestMinWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MIN", 1);
     }
@@ -171,6 +157,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMax()
-    {
+    public void TestMax() {
       this.interpreter.FloatStack.Push(10.3, 5.3);
       this.interpreter.Run(new FloatMaxExpression());
@@ -185,6 +170,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestMaxWithInsufficientArguments()
-    {
+    public void TestMaxWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MAX", 1);
     }
@@ -194,6 +178,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSmallerThan()
-    {
+    public void TestSmallerThan() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatSmallerThanExpression());
@@ -208,6 +191,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSmallerThanWithInsufficientArguments()
-    {
+    public void TestSmallerThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("<", 1);
     }
@@ -217,6 +199,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestGreaterThan()
-    {
+    public void TestGreaterThan() {
       this.interpreter.FloatStack.Push(10.2, 5.3);
       this.interpreter.Run(new FloatGreaterThanExpression());
@@ -231,6 +212,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestGreaterThanWithInsufficientArguments()
-    {
+    public void TestGreaterThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments(">", 1);
     }
@@ -240,6 +220,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromBooleanTrue()
-    {
+    public void TestFromBooleanTrue() {
       this.interpreter.BooleanStack.Push(true);
       this.interpreter.Run(new FloatFromBooleanExpression());
@@ -254,6 +233,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromBooleanFalse()
-    {
+    public void TestFromBooleanFalse() {
       this.interpreter.BooleanStack.Push(false);
       this.interpreter.Run(new FloatFromBooleanExpression());
@@ -268,6 +246,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromBooleanWithInsufficientArguments()
-    {
+    public void TestFromBooleanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMBOOLEAN");
     }
@@ -277,6 +254,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromInteger()
-    {
+    public void TestFromInteger() {
       this.interpreter.IntegerStack.Push(5);
       this.interpreter.Run(new FloatFromIntegerExpression());
@@ -291,6 +267,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestFromIntegerWithInsufficientArguments()
-    {
+    public void TestFromIntegerWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMINTEGER");
     }
@@ -300,6 +275,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSine()
-    {
+    public void TestSine() {
       this.interpreter.FloatStack.Push(Math.PI / 2);
       this.interpreter.Run(new FloatSineExpression());
@@ -314,6 +288,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestSineWithInsufficientArguments()
-    {
+    public void TestSineWithInsufficientArguments() {
       this.TestWithInsufficientArguments("SIN");
     }
@@ -323,6 +296,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestCosine()
-    {
+    public void TestCosine() {
       this.interpreter.FloatStack.Push(Math.PI);
       this.interpreter.Run(new FloatCosineExpression());
@@ -337,11 +309,9 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("FloatExpressionTest")]
-    public void TestCosineWithInsufficientArguments()
-    {
+    public void TestCosineWithInsufficientArguments() {
       this.TestWithInsufficientArguments("COS");
     }
 
-    protected override double[] GetValues(int count)
-    {
+    protected override double[] GetValues(int count) {
       var values = new double[count];
 
@@ -351,6 +321,5 @@
     }
 
-    protected override void CheckOtherStacksAreEmpty()
-    {
+    protected override void CheckOtherStacksAreEmpty() {
       this.TestStackCounts(floatStack: null);
     }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs	(revision 14875)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs	(revision 14906)
@@ -1,4 +1,3 @@
-﻿namespace HeuristicLab.Tests.Interpreter.Expressions
-{
+﻿namespace HeuristicLab.Tests.Interpreter.Expressions {
   using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;
   using HeuristicLab.Problems.ProgramSynthesis.Push.Stack;
@@ -7,6 +6,5 @@
 
   [TestClass]
-  public class IntegerExpressionTests : CommonTests<long>
-  {
+  public class IntegerExpressionTests : CommonTests<long> {
     protected override string TypeName
     {
@@ -29,6 +27,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestAdd()
-    {
+    public void TestAdd() {
       this.interpreter.IntegerStack.Push(5, 5);
       this.interpreter.Run(new IntegerAddExpression());
@@ -43,6 +40,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestAddWithInsufficientArguments()
-    {
+    public void TestAddWithInsufficientArguments() {
       this.TestWithInsufficientArguments("+", 1);
     }
@@ -52,6 +48,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSubtract()
-    {
+    public void TestSubtract() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerSubtractExpression());
@@ -66,6 +61,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSubtractWithInsufficientArguments()
-    {
+    public void TestSubtractWithInsufficientArguments() {
       this.TestWithInsufficientArguments("-", 1);
     }
@@ -75,6 +69,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMultiply()
-    {
+    public void TestMultiply() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerMultiplyExpression());
@@ -89,6 +82,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMultiplyWithInsufficientArguments()
-    {
+    public void TestMultiplyWithInsufficientArguments() {
       this.TestWithInsufficientArguments("*", 1);
     }
@@ -98,6 +90,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestDivide()
-    {
+    public void TestDivide() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerDivideExpression());
@@ -112,6 +103,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestDivideWithInsufficientArguments()
-    {
+    public void TestDivideWithInsufficientArguments() {
       this.TestWithInsufficientArguments("/", 1);
     }
@@ -121,6 +111,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestModulo()
-    {
+    public void TestModulo() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerModuloExpression());
@@ -135,6 +124,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestModuloWithInsufficientArguments()
-    {
+    public void TestModuloWithInsufficientArguments() {
       this.TestWithInsufficientArguments("%", 1);
     }
@@ -144,6 +132,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMin()
-    {
+    public void TestMin() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerMinExpression());
@@ -158,6 +145,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMinWithInsufficientArguments()
-    {
+    public void TestMinWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MIN", 1);
     }
@@ -167,6 +153,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMax()
-    {
+    public void TestMax() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerMaxExpression());
@@ -181,6 +166,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestMaxWithInsufficientArguments()
-    {
+    public void TestMaxWithInsufficientArguments() {
       this.TestWithInsufficientArguments("MAX", 1);
     }
@@ -190,6 +174,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSmallerThan()
-    {
+    public void TestSmallerThan() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerSmallerThanExpression());
@@ -204,6 +187,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestSmallerThanWithInsufficientArguments()
-    {
+    public void TestSmallerThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("<", 1);
     }
@@ -213,6 +195,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestGreaterThan()
-    {
+    public void TestGreaterThan() {
       this.interpreter.IntegerStack.Push(10, 5);
       this.interpreter.Run(new IntegerGreaterThanExpression());
@@ -227,6 +208,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestGreaterThanWithInsufficientArguments()
-    {
+    public void TestGreaterThanWithInsufficientArguments() {
       this.TestWithInsufficientArguments(">", 1);
     }
@@ -236,6 +216,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromBooleanTrue()
-    {
+    public void TestFromBooleanTrue() {
       this.interpreter.BooleanStack.Push(true);
       this.interpreter.Run(new IntegerFromBooleanExpression());
@@ -250,6 +229,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromBooleanWithInsufficientArguments()
-    {
+    public void TestFromBooleanWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMBOOLEAN");
     }
@@ -259,6 +237,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromBooleanFalse()
-    {
+    public void TestFromBooleanFalse() {
       this.interpreter.BooleanStack.Push(false);
       this.interpreter.Run(new IntegerFromBooleanExpression());
@@ -273,6 +250,5 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromFloat()
-    {
+    public void TestFromFloat() {
       this.interpreter.FloatStack.Push(1.5);
       this.interpreter.Run(new IntegerFromFloatExpression());
@@ -287,11 +263,9 @@
     [TestCategory("ExpressionTest")]
     [TestCategory("IntegerExpressionTest")]
-    public void TestFromFloatWithInsufficientArguments()
-    {
+    public void TestFromFloatWithInsufficientArguments() {
       this.TestWithInsufficientArguments("FROMFLOAT");
     }
 
-    protected override long[] GetValues(int count)
-    {
+    protected override long[] GetValues(int count) {
       var values = new long[count];
 
@@ -301,6 +275,5 @@
     }
 
-    protected override void CheckOtherStacksAreEmpty()
-    {
+    protected override void CheckOtherStacksAreEmpty() {
       this.TestStackCounts(integerStack: null);
     }