Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushList.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushList.cs	(revision 14906)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushList.cs	(revision 14908)
@@ -13,5 +13,5 @@
       if (!IsEnabled) return;
 
-      this.items[items.Count - 1].Add(item);
+      items[items.Count - 1].Add(item);
     }
 
@@ -36,5 +36,5 @@
 
     public void Clear() {
-      this.items.Clear();
+      items.Clear();
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack.cs	(revision 14906)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack.cs	(revision 14908)
@@ -22,6 +22,6 @@
 
     public PushStack(int capacity = 0) {
-      this.data = new List<T>(capacity);
-      this.IsEnabled = true;
+      data = new List<T>(capacity);
+      IsEnabled = true;
     }
 
@@ -32,5 +32,5 @@
       get
       {
-        return this.data.Capacity;
+        return data.Capacity;
       }
     }
@@ -40,5 +40,5 @@
       get
       {
-        return this.data[this.Count - 1];
+        return data[Count - 1];
       }
     }
@@ -48,5 +48,5 @@
       get
       {
-        return this.Count > 0 ? this.data[this.Count - 1] : default(T);
+        return Count > 0 ? data[Count - 1] : default(T);
       }
     }
@@ -56,5 +56,5 @@
       get
       {
-        return this.data[0];
+        return data[0];
       }
     }
@@ -64,5 +64,5 @@
       get
       {
-        return this.Count > 0 ? this.data[0] : default(T);
+        return Count > 0 ? data[0] : default(T);
       }
     }
@@ -72,5 +72,5 @@
       get
       {
-        return this.data.Count;
+        return data.Count;
       }
     }
@@ -80,5 +80,5 @@
       get
       {
-        return this.Count == 0;
+        return Count == 0;
       }
     }
@@ -93,33 +93,33 @@
 
     public void Add(T item) {
-      this.Push(item);
+      Push(item);
     }
 
     public void Clear() {
-      this.data.Clear();
+      data.Clear();
     }
 
     public bool Contains(T item) {
-      return this.data.Contains(item);
+      return data.Contains(item);
     }
 
     public void CopyTo(T[] array, int arrayIndex) {
-      this.data.CopyTo(array, arrayIndex);
+      data.CopyTo(array, arrayIndex);
     }
 
     public IEnumerator<T> GetEnumerator() {
-      return this.data.GetEnumerator();
+      return data.GetEnumerator();
     }
 
     public T ElementAt(int index) {
-      return this.data[index];
+      return data[index];
     }
 
     public T ReverseElementAt(int offset) {
-      return this.data[this.data.Count - 1 - offset];
+      return data[data.Count - 1 - offset];
     }
 
     public void SetTop(T value) {
-      this.data[this.Count - 1] = value;
+      data[Count - 1] = value;
     }
 
@@ -128,32 +128,32 @@
       get
       {
-        return this.data[key];
+        return data[key];
       }
       set
       {
-        this.data[key] = value;
+        data[key] = value;
       }
     }
 
     public void Swap(int count) {
-      var top = this.Top;
-      var bottomIndex = this.Count - count;
-
-      for (var i = this.Count - 1; i > bottomIndex; i--) this.data[i] = this.data[i - 1];
-
-      this.data[bottomIndex] = top;
+      var top = Top;
+      var bottomIndex = Count - count;
+
+      for (var i = Count - 1; i > bottomIndex; i--) data[i] = data[i - 1];
+
+      data[bottomIndex] = top;
     }
 
     public void Yank(int index) {
-      if (index == this.Count - 1) return;
-
-      var item = this.ElementAt(index);
-      this.data.RemoveAt(index);
-      this.data.Add(item);
+      if (index == Count - 1) return;
+
+      var item = ElementAt(index);
+      data.RemoveAt(index);
+      data.Add(item);
     }
 
     public T Pop() {
-      var value = this.data[this.Count - 1];
-      this.data.RemoveAt(this.Count - 1);
+      var value = data[Count - 1];
+      data.RemoveAt(Count - 1);
 
       return value;
@@ -161,6 +161,6 @@
 
     public T[] Pop(int count) {
-      var items = this.Peek(count);
-      this.Remove(count);
+      var items = Peek(count);
+      Remove(count);
 
       return items;
@@ -168,12 +168,12 @@
 
     public T Peek() {
-      return this.Top;
+      return Top;
     }
 
     public T[] Peek(int count) {
-      var startIndex = this.Count - count;
+      var startIndex = Count - count;
 
       var items = new T[count];
-      this.data.CopyTo(startIndex, items, 0, count);
+      data.CopyTo(startIndex, items, 0, count);
 
       return items;
@@ -181,73 +181,73 @@
 
     public void Push(T item) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item);
+      if (!IsEnabled) return;
+
+      data.Add(item);
     }
 
     public void Push(T item1, T item2) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item1);
-      this.data.Add(item2);
+      if (!IsEnabled) return;
+
+      data.Add(item1);
+      data.Add(item2);
     }
 
     public void Push(T item1, T item2, T item3) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item1);
-      this.data.Add(item2);
-      this.data.Add(item3);
+      if (!IsEnabled) return;
+
+      data.Add(item1);
+      data.Add(item2);
+      data.Add(item3);
     }
 
     public void Push(T item1, T item2, T item3, T item4) {
-      if (!this.IsEnabled) return;
-
-      this.data.Add(item1);
-      this.data.Add(item2);
-      this.data.Add(item3);
-      this.data.Add(item4);
+      if (!IsEnabled) return;
+
+      data.Add(item1);
+      data.Add(item2);
+      data.Add(item3);
+      data.Add(item4);
     }
 
     public void PushResult(int count, Func<T[], T> templateFunc) {
-      if (!this.IsEnabled) return;
-
-      var startIndex = this.Count - count;
+      if (!IsEnabled) return;
+
+      var startIndex = Count - count;
       var items = new T[count];
 
-      this.data.CopyTo(startIndex, items, 0, count);
-      this.Remove(count - 1);
-
-      this.data[this.Count - 1] = templateFunc(items);
+      data.CopyTo(startIndex, items, 0, count);
+      Remove(count - 1);
+
+      data[Count - 1] = templateFunc(items);
     }
 
     public void Push(IReadOnlyList<T> items) {
-      if (!this.IsEnabled) return;
-
-      for (var i = 0; i < items.Count; i++) this.data.Add(items[i]);
+      if (!IsEnabled) return;
+
+      for (var i = 0; i < items.Count; i++) data.Add(items[i]);
     }
 
     public void Insert(int index, T item) {
-      if (!this.IsEnabled) return;
-
-      this.data.Insert(index, item);
+      if (!IsEnabled) return;
+
+      data.Insert(index, item);
     }
 
     public void Insert(int index, params T[] items) {
-      if (!this.IsEnabled) return;
-
-      this.data.InsertRange(index, items);
+      if (!IsEnabled) return;
+
+      data.InsertRange(index, items);
     }
 
     public void Insert(int index, IEnumerable<T> items) {
-      if (!this.IsEnabled) return;
-
-      this.data.InsertRange(index, items);
+      if (!IsEnabled) return;
+
+      data.InsertRange(index, items);
     }
 
     public bool Remove(T item) {
-      var index = this.Count - 1;
-      if ((this.Count > 0) && this.data[index].Equals(item)) {
-        this.data.RemoveAt(index);
+      var index = Count - 1;
+      if ((Count > 0) && data[index].Equals(item)) {
+        data.RemoveAt(index);
         return true;
       }
@@ -256,22 +256,22 @@
 
     public void RemoveTop() {
-      this.data.RemoveAt(this.Count - 1);
+      data.RemoveAt(Count - 1);
     }
 
     public void Remove(int count) {
-      for (var i = 0; i < count; i++) this.data.RemoveAt(this.Count - 1);
+      for (var i = 0; i < count; i++) data.RemoveAt(Count - 1);
     }
 
     public void RemoveAt(int index) {
-      this.data.RemoveAt(index);
+      data.RemoveAt(index);
     }
 
     public void RemoveAt(int index, int count) {
-      this.data.RemoveRange(index, count);
+      data.RemoveRange(index, count);
     }
 
     public bool TryPop(out T item) {
-      if (this.Count > 0) {
-        item = this.Pop();
+      if (Count > 0) {
+        item = Pop();
         return true;
       }
Index: branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack3.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack3.cs	(revision 14906)
+++ branches/PushGP/HeuristicLab.PushGP/FeatureTests/DirtyList/PushStack3.cs	(revision 14908)
@@ -22,6 +22,6 @@
 
     public PushStack3() {
-      this.data = new LinkedList<T>();
-      this.IsEnabled = true;
+      data = new LinkedList<T>();
+      IsEnabled = true;
     }
 
@@ -32,5 +32,5 @@
       get
       {
-        return this.data.Last.Value;
+        return data.Last.Value;
       }
     }
@@ -40,5 +40,5 @@
       get
       {
-        return this.Count > 0 ? Top : default(T);
+        return Count > 0 ? Top : default(T);
       }
     }
@@ -48,5 +48,5 @@
       get
       {
-        return this.data.First.Value;
+        return data.First.Value;
       }
     }
@@ -56,5 +56,5 @@
       get
       {
-        return this.Count > 0 ? Bottom : default(T);
+        return Count > 0 ? Bottom : default(T);
       }
     }
@@ -64,5 +64,5 @@
       get
       {
-        return this.data.Count;
+        return data.Count;
       }
     }
@@ -72,5 +72,5 @@
       get
       {
-        return this.Count == 0;
+        return Count == 0;
       }
     }
@@ -85,25 +85,25 @@
 
     public void Add(T item) {
-      this.Push(item);
+      Push(item);
     }
 
     public void Clear() {
-      this.data.Clear();
+      data.Clear();
     }
 
     public bool Contains(T item) {
-      return this.data.Contains(item);
+      return data.Contains(item);
     }
 
     public void CopyTo(T[] array, int arrayIndex) {
-      this.data.CopyTo(array, arrayIndex);
+      data.CopyTo(array, arrayIndex);
     }
 
     public IEnumerator<T> GetEnumerator() {
-      return this.data.GetEnumerator();
+      return data.GetEnumerator();
     }
 
     public T ElementAt(int index) {
-      return this.data.ElementAt(index);
+      return data.ElementAt(index);
     }
 
@@ -113,5 +113,5 @@
 
     public void SetTop(T value) {
-      this.data.Last.Value = value;
+      data.Last.Value = value;
     }
 
@@ -138,28 +138,28 @@
 
     public void Swap(int count) {
-      var topValue = this.Top;
-      var current = this.data.Last;
-      var bottomIndex = this.Count - count;
-
-
-      for (var i = this.Count - 1; i > bottomIndex; i--) {
+      var topValue = Top;
+      var current = data.Last;
+      var bottomIndex = Count - count;
+
+
+      for (var i = Count - 1; i > bottomIndex; i--) {
         current.Value = current.Previous.Value;
         current = current.Previous;
       }
 
-      this.data.Last.Value = topValue;
+      data.Last.Value = topValue;
     }
 
     public void Yank(int index) {
-      if (index == this.Count - 1) return;
-
-      var item = this.GetByIndex(index);
-      this.data.Remove(item);
-      this.data.AddLast(item);
+      if (index == Count - 1) return;
+
+      var item = GetByIndex(index);
+      data.Remove(item);
+      data.AddLast(item);
     }
 
     public T Pop() {
       var value = Top;
-      this.data.RemoveLast();
+      data.RemoveLast();
 
       return value;
@@ -178,10 +178,10 @@
 
     public T Peek() {
-      return this.Top;
+      return Top;
     }
 
     public T[] Peek(int count) {
       var items = new T[count];
-      var current = this.data.Last;
+      var current = data.Last;
 
       for (var i = 0; i < count; i++) {
@@ -194,35 +194,35 @@
 
     public void Push(T item) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item);
+      if (!IsEnabled) return;
+
+      data.AddLast(item);
     }
 
     public void Push(T item1, T item2) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item1);
-      this.data.AddLast(item2);
+      if (!IsEnabled) return;
+
+      data.AddLast(item1);
+      data.AddLast(item2);
     }
 
     public void Push(T item1, T item2, T item3) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item1);
-      this.data.AddLast(item2);
-      this.data.AddLast(item3);
+      if (!IsEnabled) return;
+
+      data.AddLast(item1);
+      data.AddLast(item2);
+      data.AddLast(item3);
     }
 
     public void Push(T item1, T item2, T item3, T item4) {
-      if (!this.IsEnabled) return;
-
-      this.data.AddLast(item1);
-      this.data.AddLast(item2);
-      this.data.AddLast(item3);
-      this.data.AddLast(item4);
+      if (!IsEnabled) return;
+
+      data.AddLast(item1);
+      data.AddLast(item2);
+      data.AddLast(item3);
+      data.AddLast(item4);
     }
 
     public void PushResult(int count, Func<T[], T> templateFunc) {
-      if (!this.IsEnabled) return;
+      if (!IsEnabled) return;
 
       Push(templateFunc(Pop(count)));
@@ -230,26 +230,26 @@
 
     public void PushRange(IReadOnlyList<T> items) {
-      if (!this.IsEnabled) return;
-
-      for (var i = 0; i < items.Count; i++) this.data.AddLast(items[i]);
+      if (!IsEnabled) return;
+
+      for (var i = 0; i < items.Count; i++) data.AddLast(items[i]);
     }
 
     public void Insert(int index, T value) {
-      if (!this.IsEnabled) return;
+      if (!IsEnabled) return;
 
       var node = GetByIndex(index);
-      this.data.AddBefore(node, value);
+      data.AddBefore(node, value);
     }
 
     public bool Remove(T item) {
-      return this.data.Remove(item);
+      return data.Remove(item);
     }
 
     public void RemoveTop() {
-      this.data.RemoveLast();
+      data.RemoveLast();
     }
 
     public void Remove(int count) {
-      for (var i = 0; i < count; i++) this.data.RemoveLast();
+      for (var i = 0; i < count; i++) data.RemoveLast();
     }
 
@@ -257,5 +257,5 @@
       var node = GetByIndex(index);
 
-      this.data.Remove(node);
+      data.Remove(node);
     }
 
@@ -271,6 +271,6 @@
 
     public bool TryPop(out T item) {
-      if (this.Count > 0) {
-        item = this.Pop();
+      if (Count > 0) {
+        item = Pop();
         return true;
       }