Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/ViewHelper.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/ViewHelper.cs	(revision 14898)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problem.ProgramSynthesis.BenchmarkSuite/Views/ViewHelper.cs	(revision 14909)
@@ -1,11 +1,13 @@
 ﻿namespace HeuristicLab.BenchmarkSuite.Views {
+  using System.Linq;
+
   public static class ViewHelper {
     public static string StringifyInput(ExampleArgumentType type, Example example, string valueSeparator) {
       switch (type) {
         case ExampleArgumentType.Integer: return string.Join(valueSeparator, example.InputInteger);
-        //case ExampleArgumentType.IntegerVector: return string.Join(valueSeparator, example.InputInteger);
+        case ExampleArgumentType.IntegerVector: return "[" + string.Join("], [", example.InputIntegerVector.Select(vector => string.Join(valueSeparator, vector))) + "]";
 
         case ExampleArgumentType.Float: return string.Join(valueSeparator, example.InputFloat);
-        //case ExampleArgumentType.FloatVector: return string.Join(valueSeparator, example.InputFloat);
+        case ExampleArgumentType.FloatVector: return "[" + string.Join("], [", example.InputFloatVector.Select(vector => string.Join(valueSeparator, vector))) + "]";
 
         case ExampleArgumentType.Boolean: return string.Join(valueSeparator, example.InputBoolean);
@@ -13,5 +15,5 @@
 
         case ExampleArgumentType.String: return string.Join(valueSeparator, example.InputString);
-        //case ExampleArgumentType.StringVector: return string.Join(valueSeparator, example.InputString);
+        case ExampleArgumentType.StringVector: return "[" + string.Join("], [", example.InputStringVector.Select(vector => string.Join(valueSeparator, vector))) + "]";
         default: return string.Empty;
       }
@@ -21,8 +23,8 @@
       switch (type) {
         case ExampleArgumentType.Integer: return string.Join(valueSeparator, example.OutputInteger);
-        //case ExampleArgumentType.IntegerVector: return string.Join(valueSeparator, example.OutputIntegerVector);
+        case ExampleArgumentType.IntegerVector: return "[" + string.Join("], [", example.OutputIntegerVector.Select(vector => string.Join(valueSeparator, vector))) + "]";
 
         case ExampleArgumentType.Float: return string.Join(valueSeparator, example.OutputFloat);
-        //case ExampleArgumentType.FloatVector: return string.Join(valueSeparator, example.OutputFloat);
+        case ExampleArgumentType.FloatVector: return "[" + string.Join("], [", example.OutputFloatVector.Select(vector => string.Join(valueSeparator, vector))) + "]";
 
         case ExampleArgumentType.Boolean: return string.Join(valueSeparator, example.OutputBoolean);
@@ -30,5 +32,7 @@
 
         case ExampleArgumentType.String: return string.Join(valueSeparator, example.OutputString);
-        //case ExampleArgumentType.StringVector: return string.Join(valueSeparator, example.OutputString);
+        case ExampleArgumentType.Print: return string.Join(valueSeparator, example.OutputPrint);
+        case ExampleArgumentType.StringVector: return "[" + string.Join("], [", example.OutputStringVector.Select(vector => string.Join(valueSeparator, vector))) + "]";
+
         default: return string.Empty;
       }
@@ -42,4 +46,5 @@
     private const string CharColumnHeader = "char";
     private const string StringColumnHeader = "string";
+    private const string PrintColumnHeader = "print";
     private const string StringsColumnHeader = "string[]";
     public static string GetHeaderTypeName(ExampleArgumentType type) {
@@ -50,4 +55,5 @@
         case ExampleArgumentType.Char: return CharColumnHeader;
         case ExampleArgumentType.String: return StringColumnHeader;
+        case ExampleArgumentType.Print: return PrintColumnHeader;
         case ExampleArgumentType.IntegerVector: return IntegersColumnHeader;
         case ExampleArgumentType.FloatVector: return DoublesColumnHeader;