Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelection.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelection.cs	(revision 14927)
@@ -48,5 +48,5 @@
                + "Where is the S is a N x d matrix containing the selected columns from N x k the matrix of all features X" + Environment.NewLine
                + "For each feature the probability that it is selected is " + selectionProbability + "%" + Environment.NewLine
-               + "X(i,j) ~ N(0, 1) iid, w(i) ~ U(0, 10) iid, n ~ N(0, sigma(w*S) * SQRT(" + noiseRatio / (1 - noiseRatio)  + "))" + Environment.NewLine
+               + "X(i,j) ~ N(0, 1) iid, w(i) ~ U(0, 10) iid, n ~ N(0, sigma(w*S) * SQRT(" + noiseRatio / (1 - noiseRatio) + "))" + Environment.NewLine
                + "The noise level is " + noiseRatio + " * sigma, thus an optimal model has R² = "
                + Math.Round(optimalRSquared, 2) + " (or equivalently: NMSE = " + noiseRatio + ")" + Environment.NewLine
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionRegressionProblemData.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionRegressionProblemData.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionRegressionProblemData.cs	(revision 14927)
@@ -26,9 +26,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  [StorableClass]
+  [StorableType("f9a18311-052d-483d-a634-2bc425576b4f")]
   public class FeatureSelectionRegressionProblemData : RegressionProblemData {
     private const string SelectedFeaturesParameterName = "SelectedFeatures";
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFifteen.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFifteen.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFifteen.cs	(revision 14927)
@@ -64,5 +64,5 @@
 
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
-      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList()); 
+      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 50).ToList()); // note: range is only [0,50] to prevent NaN values (deviates from gp benchmark paper)
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs	(revision 14927)
@@ -65,5 +65,5 @@
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 50).ToList()); // note: range is only [0,50] to prevent NaN values (deviates from gp benchmark paper)
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 50).ToList()); // note: range is only [0,50] to prevent NaN values (deviates from gp benchmark paper)
-      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList()); 
+      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs	(revision 14927)
@@ -63,8 +63,8 @@
 
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 0, 50).ToList()); // note: range is only [0,50] to prevent NaN values (deviates from gp benchmark paper)
-      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList()); 
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
-      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList()); 
+      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
+      data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, -50, 50).ToList());
 
       double x0;
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF1.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF1.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF1.cs	(revision 14927)
@@ -33,13 +33,17 @@
     protected override string TargetVariable { get { return "Cf1"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf1"
- }; }
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf1"
+ };
+      }
     }
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat",
+      get {
+        return new string[] { "Material_Cat",
         "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x20", "x22" }; }
+        "x17", "x20", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF2.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF2.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF2.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Cf2"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf2"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf2"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat",
+      get {
+        return new string[] { "Material_Cat",
         "Source1", "x1", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x18", "x19", "x20", "x21", "x22" }; }
+        "x17", "x18", "x19", "x20", "x21", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF3.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF3.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF3.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Cf3"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf3"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf3"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat", 
+      get {
+        return new string[] { "Material_Cat",
         "Source1",  "x1", "x2", "x3", "x4", "x5", "x6", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x22" }; }
+        "x17", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF4.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF4.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/CF4.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Cf4"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf4"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Cf4"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat", 
+      get {
+        return new string[] { "Material_Cat",
         "x1", "x2", "x3", "x4", "x5", "x6", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x22" }; }
+        "x17", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/NvhRating.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/NvhRating.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/NvhRating.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "NVH_Rating"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "NVH_Rating"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "NVH_Rating"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat",
+      get {
+        return new string[] { "Material_Cat",
         "x1", "x2", "x3", "x4", "x5", "x6", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x18", "x19", "x21", "x22" }; }
+        "x17", "x18", "x19", "x21", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Temp1.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Temp1.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Temp1.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Temp1"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Temp1"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Temp1"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat",
+      get {
+        return new string[] { "Material_Cat",
         "x1", "x2", "x3", "x4", "x5", "x6", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x22" }; }
+        "x17", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Temp2.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Temp2.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Temp2.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Temp2"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Temp2"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Temp2"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat",
+      get {
+        return new string[] { "Material_Cat",
         "x1", "x2", "x3", "x4", "x5", "x6", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x22" }; }
+        "x17", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Wear1.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Wear1.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Wear1.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Wear1"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Wear1"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Wear1"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat",
+      get {
+        return new string[] { "Material_Cat",
         "Source1", "x1", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x18", "x19", "x20", "x21", "x22" }; }
+        "x17", "x18", "x19", "x20", "x21", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Wear2.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Wear2.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/Wear2.cs	(revision 14927)
@@ -33,5 +33,6 @@
     protected override string TargetVariable { get { return "Wear2"; } }
     protected override string[] VariableNames {
-      get { return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Wear2"
+      get {
+        return new string[] { "Partition", "Source1", "Source2", "x1", "Material_Cat", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16", "Material", "Grooving", "Oil", "x17", "x18", "x19", "x20", "x21", "x22", "Wear2"
  };
       }
@@ -39,8 +40,10 @@
 
     protected override string[] AllowedInputVariables {
-      get { return new string[] { "Material_Cat", 
+      get {
+        return new string[] { "Material_Cat",
         "Source1", "x1", "x2", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15", "x16",
         "Material", "Grooving", "Oil",
-        "x17", "x18", "x19", "x20", "x21", "x22" }; }
+        "x17", "x18", "x19", "x20", "x21", "x22" };
+      }
     }
     protected override int TrainingPartitionStart { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwo.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwo.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwo.cs	(revision 14927)
@@ -59,5 +59,5 @@
       for (int i = 0; i < data[0].Count; i++) {
         x = data[0][i];
-        results.Add(Math.Pow(x, 4) + Math.Pow(x, 3) + x*x + x);
+        results.Add(Math.Pow(x, 4) + Math.Pow(x, 3) + x * x + x);
       }
       data.Add(results);
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/GaussianProcessVariableNetwork.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/GaussianProcessVariableNetwork.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/GaussianProcessVariableNetwork.cs	(revision 14927)
@@ -90,5 +90,5 @@
       var changedL = new double[l.Length];
       var relevance = new double[l.Length];
-      for(int i = 0; i < l.Length; i++) {
+      for (int i = 0; i < l.Length; i++) {
         Array.Copy(l, changedL, changedL.Length);
         changedL[i] = double.MaxValue;
@@ -100,10 +100,10 @@
         OnlineCalculatorError error;
         var mse = OnlineMeanSquaredErrorCalculator.Calculate(y, yChanged, out error);
-        if(error != OnlineCalculatorError.None) mse = double.MaxValue;
+        if (error != OnlineCalculatorError.None) mse = double.MaxValue;
         relevance[i] = mse;
       }
       // scale so that max relevance is 1.0
       var maxRel = relevance.Max();
-      for(int i = 0; i < relevance.Length; i++) relevance[i] /= maxRel;
+      for (int i = 0; i < relevance.Length; i++) relevance[i] /= maxRel;
       return relevance;
     }
@@ -112,7 +112,7 @@
       int nRows = xs.First().Count;
       double[,] K = new double[nRows, nRows];
-      for(int r = 0; r < nRows; r++) {
+      for (int r = 0; r < nRows; r++) {
         double[] xi = xs.Select(x => x[r]).ToArray();
-        for(int c = 0; c <= r; c++) {
+        for (int c = 0; c <= r; c++) {
           double[] xj = xs.Select(x => x[c]).ToArray();
           double dSqr = xi.Zip(xj, (xik, xjk) => (xik - xjk))
@@ -124,5 +124,5 @@
       }
       // add a small diagonal matrix for numeric stability
-      for(int i = 0; i < nRows; i++) {
+      for (int i = 0; i < nRows; i++) {
         K[i, i] += 1.0E-7;
       }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/LinearVariableNetwork.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/LinearVariableNetwork.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/LinearVariableNetwork.cs	(revision 14927)
@@ -75,5 +75,5 @@
       int nRows = xs.First().Count;
       var y = new double[nRows];
-      for(int row = 0; row < nRows; row++) {
+      for (int row = 0; row < nRows; row++) {
         y[row] = xs.Select(xi => xi[row]).Zip(c, (xij, cj) => xij * cj).Sum();
         y[row] /= c.Length;
@@ -90,5 +90,5 @@
       var changedL = new double[l.Length];
       var relevance = new double[l.Length];
-      for(int i = 0; i < l.Length; i++) {
+      for (int i = 0; i < l.Length; i++) {
         Array.Copy(l, changedL, changedL.Length);
         changedL[i] = 0.0;
@@ -98,10 +98,10 @@
         OnlineCalculatorError error;
         var mse = OnlineMeanSquaredErrorCalculator.Calculate(y, yChanged, out error);
-        if(error != OnlineCalculatorError.None) mse = double.MaxValue;
+        if (error != OnlineCalculatorError.None) mse = double.MaxValue;
         relevance[i] = mse;
       }
       // scale so that max relevance is 1.0
       var maxRel = relevance.Max();
-      for(int i = 0; i < relevance.Length; i++) relevance[i] /= maxRel;
+      for (int i = 0; i < relevance.Length; i++) relevance[i] /= maxRel;
       return relevance;
     }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/VariableNetwork.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/VariableNetwork.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/VariableNetwork.cs	(revision 14927)
@@ -100,5 +100,5 @@
 
       var nrand = new NormalDistributedRandom(random, 0, 1);
-      for(int c = 0; c < numLvl0; c++) {
+      for (int c = 0; c < numLvl0; c++) {
         inputVarNames.Add(new string[] { });
         relevances.Add(new double[] { });
@@ -108,5 +108,5 @@
         var sigma = x.StandardDeviationPop();
         var mean = x.Average();
-        for(int i = 0; i < x.Count; i++) x[i] = (x[i] - mean) / sigma;
+        for (int i = 0; i < x.Count; i++) x[i] = (x[i] - mean) / sigma;
         var noisePrng = new NormalDistributedRandom(random, 0, Math.Sqrt(noiseRatio / (1.0 - noiseRatio)));
         lvl0.Add(x.Select(t => t + noisePrng.NextDouble()).ToList());
@@ -126,5 +126,5 @@
 
       this.variableRelevances.Clear();
-      for(int i = 0; i < variableNames.Length; i++) {
+      for (int i = 0; i < variableNames.Length; i++) {
         var targetVarName = variableNames[i];
         var targetRelevantInputs =
@@ -137,9 +137,9 @@
       // for graphviz
       networkDefinition += Environment.NewLine + "digraph G {";
-      for(int i = 0; i < variableNames.Length; i++) {
+      for (int i = 0; i < variableNames.Length; i++) {
         var name = variableNames[i];
         var selectedVarNames = inputVarNames[i];
         var selectedRelevances = relevances[i];
-        for(int j = 0; j < selectedVarNames.Length; j++) {
+        for (int j = 0; j < selectedVarNames.Length; j++) {
           var selectedVarName = selectedVarNames[j];
           var selectedRelevance = selectedRelevances[j];
@@ -159,5 +159,5 @@
     private List<List<double>> CreateVariables(List<List<double>> allowedInputs, int numVars, List<string[]> inputVarNames, List<string> description, List<double[]> relevances) {
       var newVariables = new List<List<double>>();
-      for(int c = 0; c < numVars; c++) {
+      for (int c = 0; c < numVars; c++) {
         string[] selectedVarNames;
         double[] relevance;
@@ -166,5 +166,5 @@
         var sigma = x.StandardDeviation();
         var mean = x.Average();
-        for(int i = 0; i < x.Length; i++) x[i] = (x[i] - mean) / sigma;
+        for (int i = 0; i < x.Length; i++) x[i] = (x[i] - mean) / sigma;
 
         var noisePrng = new NormalDistributedRandom(random, 0, Math.Sqrt(noiseRatio / (1.0 - noiseRatio)));
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialThreeDimensional.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 14927)
@@ -63,6 +63,6 @@
       data.Add(ValueGenerator.GenerateUniformDistributedValues(rand.Next(), n, 0.05, 2).ToList());
 
-      List<List<double>> testData = new List<List<double>>() { 
-        SequenceGenerator.GenerateSteps(-0.05m, 2.05m, 0.15m).Select(v => (double)v).ToList(), 
+      List<List<double>> testData = new List<List<double>>() {
+        SequenceGenerator.GenerateSteps(-0.05m, 2.05m, 0.15m).Select(v => (double)v).ToList(),
         SequenceGenerator.GenerateSteps( 0.95m, 2.05m, 0.1m).Select(v => (double)v).ToList(),
         SequenceGenerator.GenerateSteps(-0.05m, 2.05m, 0.15m).Select(v => (double)v).ToList()