Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 14928)
@@ -36,5 +36,5 @@
 
     public int Priority {
-      get { return 100; }
+      get { return 205; } // higher than storabletype
     }
 
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableReflection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableReflection.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableReflection.cs	(revision 14928)
@@ -43,17 +43,17 @@
         storableMembers.AddRange(GenerateStorableMembers(type.BaseType));
 
-      var storableClassAttribute = GetStorableClassAttribute(type);
-      if (storableClassAttribute != null) {
-        switch (storableClassAttribute.Type) {
-          case StorableClassType.MarkedOnly:
+      var storableTypeAttribute = GetStorableTypeAttribute(type);
+      if (storableTypeAttribute != null) {
+        switch (storableTypeAttribute.MemberSelection) {
+          case StorableMemberSelection.MarkedOnly:
             AddMarkedMembers(type, storableMembers); break;
-          case StorableClassType.AllFields:
+          case StorableMemberSelection.AllFields:
             AddAll(type, MemberTypes.Field, storableMembers); break;
-          case StorableClassType.AllProperties:
+          case StorableMemberSelection.AllProperties:
             AddAll(type, MemberTypes.Property, storableMembers); break;
-          case StorableClassType.AllFieldsAndAllProperties:
+          case StorableMemberSelection.AllFieldsAndAllProperties:
             AddAll(type, MemberTypes.Field | MemberTypes.Property, storableMembers); break;
           default:
-            throw new PersistenceException("unsupported [StorableClassType]: " + storableClassAttribute.Type);
+            throw new PersistenceException("unsupported [StorableType]: " + storableTypeAttribute.MemberSelection);
         }
       }
@@ -174,12 +174,12 @@
     #region [StorableClass] helpers
 
-    private static StorableClassAttribute GetStorableClassAttribute(Type type) {
-      lock (storableClassCache) {
-        if (storableClassCache.ContainsKey(type))
-          return storableClassCache[type];
-        StorableClassAttribute attribute = type
-          .GetCustomAttributes(typeof(StorableClassAttribute), false)
-          .SingleOrDefault() as StorableClassAttribute;
-        storableClassCache.Add(type, attribute);
+    private static StorableTypeAttribute GetStorableTypeAttribute(Type type) {
+      lock (storableTypeCache) {
+        if (storableTypeCache.ContainsKey(type))
+          return storableTypeCache[type];
+        StorableTypeAttribute attribute = type
+          .GetCustomAttributes(typeof(StorableTypeAttribute), false)
+          .SingleOrDefault() as StorableTypeAttribute;
+        storableTypeCache.Add(type, attribute);
         return attribute;
       }
@@ -187,9 +187,9 @@
 
     public static bool HasStorableClassAttribute(Type type) {
-      return GetStorableClassAttribute(type) != null;
-    }
-
-    private static Dictionary<Type, StorableClassAttribute> storableClassCache =
-      new Dictionary<Type, StorableClassAttribute>();
+      return GetStorableTypeAttribute(type) != null;
+    }
+
+    private static Dictionary<Type, StorableTypeAttribute> storableTypeCache =
+      new Dictionary<Type, StorableTypeAttribute>();
 
     #endregion
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 14928)
@@ -34,5 +34,5 @@
   /// <summary>
   /// Intended for serialization of all custom classes. Classes should have the
-  /// <c>[StorableClass]</c> attribute set. The default mode is to serialize
+  /// <c>[StorableType]</c> attribute set. The default mode is to serialize
   /// members with the <c>[Storable]</c> attribute set. Alternatively the
   /// storable mode can be set to <c>AllFields</c>, <c>AllProperties</c>
Index: branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 14928)
@@ -37,5 +37,5 @@
 
     public int Priority {
-      get { return 50; }
+      get { return 210; } // higher than storabletype
     }
 